Bug 180841 - Make some functions in GraphicsContextCG use call_once for statics
Summary: Make some functions in GraphicsContextCG use call_once for statics
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dean Jackson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-12-14 14:27 PST by Dean Jackson
Modified: 2017-12-19 00:18 PST (History)
5 users (show)

See Also:


Attachments
Patch (4.25 KB, patch)
2017-12-14 14:35 PST, Dean Jackson
no flags Details | Formatted Diff | Diff
Patch (4.97 KB, patch)
2017-12-18 00:51 PST, Dean Jackson
graouts: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Jackson 2017-12-14 14:27:00 PST
Make some functions in GraphicsContextCG use call_once for statics
Comment 1 Radar WebKit Bug Importer 2017-12-14 14:27:44 PST
<rdar://problem/36058448>
Comment 2 Dean Jackson 2017-12-14 14:35:18 PST
Created attachment 329405 [details]
Patch
Comment 3 Dean Jackson 2017-12-14 15:02:08 PST
Simon already did this... today!
Comment 4 Darin Adler 2017-12-17 10:37:02 PST
I think some big ones for this are going to be:

cachedCGColor in ColorCG.cpp
nsColor in ColorMac.mm
Comment 5 Dean Jackson 2017-12-18 00:51:18 PST
Reopening to attach new patch.
Comment 6 Dean Jackson 2017-12-18 00:51:21 PST
Created attachment 329643 [details]
Patch
Comment 7 Dean Jackson 2017-12-18 14:05:43 PST
Committed r226080: <https://trac.webkit.org/changeset/226080>
Comment 8 Simon Fraser (smfr) 2017-12-18 14:15:49 PST
What about the implementation of linearRGBColorSpaceRef() in GraphicsContextCocoa?

Also why you no cc me?
Comment 9 Antoine Quint 2017-12-19 00:18:55 PST
(In reply to Simon Fraser (smfr) from comment #8)

> Also why you no cc me?

As Dean's manager, you ought to be automatically Cc'd.